Assignments Assignments

Classes | Macros | Typedefs | Functions
jccolor.cpp File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

## Classes
struct | my_color_converter

## Macros
#define | JPEG_INTERNALS
#define | SCALEBITS 16 /* speediest right-shift on some machines */
#define | CBCR_OFFSET ((INT32) CENTERJSAMPLE << SCALEBITS)
#define | ONE_HALF ((INT32) 1 << (SCALEBITS-1))
#define | FIX(x)
#define | R_Y_OFF 0 /* offset to R => Y section */
#define | G_Y_OFF (1*(MAXJSAMPLE+1)) /* offset to G => Y section */
#define | B_Y_OFF (2*(MAXJSAMPLE+1)) /* etc. */
#define | R_CB_OFF (3*(MAXJSAMPLE+1))
#define | G_CB_OFF (4*(MAXJSAMPLE+1))
#define | B_CB_OFF (5*(MAXJSAMPLE+1))
#define | R_CR_OFF B_CB_OFF /* B=>Cb, R=>Cr are the same */
#define | G_CR_OFF (6*(MAXJSAMPLE+1))
#define | B_CR_OFF (7*(MAXJSAMPLE+1))
#define | TABLE_SIZE (8*(MAXJSAMPLE+1))

## Typedefs
typedef my_color_converter * | my_cconvert_ptr

## Functions
| rgb_ycc_start (j_compress_ptr cinfo)
| rgb_ycc_convert (j_compress_ptr cinfo, JSAMPARRAY input_buf, JSAMPIMAGE output_buf, JDIMENSION output_row, int num_rows)
| rgb_gray_convert (j_compress_ptr cinfo, JSAMPARRAY input_buf, JSAMPIMAGE output_buf, JDIMENSION output_row, int num_rows)
| cmyk_ycck_convert (j_compress_ptr cinfo, JSAMPARRAY input_buf, JSAMPIMAGE output_buf, JDIMENSION output_row, int num_rows)
| grayscale_convert (j_compress_ptr cinfo, JSAMPARRAY input_buf, JSAMPIMAGE output_buf, JDIMENSION output_row, int num_rows)
| null_convert (j_compress_ptr cinfo, JSAMPARRAY input_buf, JSAMPIMAGE output_buf, JDIMENSION output_row, int num_rows)
| null_method (j_compress_ptr cinfo)
| jinit_color_converter (j_compress_ptr cinfo)

## Macro Definition Documentation

## ◆ B_CB_OFF

#define B_CB_OFF (5*(MAXJSAMPLE+1))

## ◆ B_CR_OFF

#define B_CR_OFF (7*(MAXJSAMPLE+1))

## ◆ B_Y_OFF

#define B_Y_OFF (2*(MAXJSAMPLE+1)) /* etc. */

## ◆ CBCR_OFFSET

#define CBCR_OFFSET ((INT32) CENTERJSAMPLE << SCALEBITS)

## ◆ FIX

#define FIX | ( |  | x | ) |

Value:
((INT32) ((x) * (1L<<SCALEBITS) + 0.5))
SCALEBITS
#define SCALEBITS
Definition jccolor.cpp:58
INT32
long INT32
Definition jmorecfg.h:161

## ◆ G_CB_OFF

#define G_CB_OFF (4*(MAXJSAMPLE+1))

## ◆ G_CR_OFF

#define G_CR_OFF (6*(MAXJSAMPLE+1))

## ◆ G_Y_OFF

#define G_Y_OFF (1*(MAXJSAMPLE+1)) /* offset to G => Y section */

## ◆ JPEG_INTERNALS

#define JPEG_INTERNALS

## ◆ ONE_HALF

#define ONE_HALF ((INT32) 1 << (SCALEBITS-1))

## ◆ R_CB_OFF

#define R_CB_OFF (3*(MAXJSAMPLE+1))

## ◆ R_CR_OFF

#define R_CR_OFF B_CB_OFF /* B=>Cb, R=>Cr are the same */

## ◆ R_Y_OFF

#define R_Y_OFF 0 /* offset to R => Y section */

## ◆ SCALEBITS

#define SCALEBITS 16 /* speediest right-shift on some machines */

## ◆ TABLE_SIZE

#define TABLE_SIZE (8*(MAXJSAMPLE+1))

## Typedef Documentation

## ◆ my_cconvert_ptr

typedef my_color_converter* my_cconvert_ptr

## Function Documentation

## ◆ cmyk_ycck_convert()

cmyk_ycck_convert | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | output_row,
|  | int | num_rows )

## ◆ grayscale_convert()

grayscale_convert | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | output_row,
|  | int | num_rows )

## ◆ jinit_color_converter()

jinit_color_converter | ( | j_compress_ptr | cinfo | ) |

## ◆ null_convert()

null_convert | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | output_row,
|  | int | num_rows )

## ◆ null_method()

null_method | ( | j_compress_ptr | cinfo | ) |

## ◆ rgb_gray_convert()

rgb_gray_convert | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | output_row,
|  | int | num_rows )

## ◆ rgb_ycc_convert()

rgb_ycc_convert | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | output_row,
|  | int | num_rows )

## ◆ rgb_ycc_start()

rgb_ycc_start | ( | j_compress_ptr | cinfo | ) |